version: '3'
services:
  firefox:
    image: jlesage/firefox
    container_name: firefox
    ports:
      - 127.0.0.1:31080:5800
    environment:
      - TZ=Europe/London
      - DISPLAY_WIDTH=1920
      - DISPLAY_HEIGHT=1080
      - KEEP_APP_RUNNING=1
      - ENABLE_CJK_FONT=1
      - SECURE_CONNECTION=1
      - VNC_PASSWORD=abcdefg
    volumes:
      - /opt/docker-data/firefox/config:/config:rw
    shm_size: "1024m"
    restart: unless-stopped